/* ---------------------------------------------------
    VARIABLES
----------------------------------------------------- */

:root {
    --dark-primary-color: #2A1856;
    --light-primary-color: #341D6D;
    --primary-color: #607D8b;
    --primary-text: #666666;
    --secondary-text: #4D4D4D;
    --third-text: #4D4D4D;

}

/* ---------------------------------------------------
    CONTENT STYLE
----------------------------------------------------- */

body {
    color: var(--primary-text);
    font-family: Arial, Helvetica, sans-serif;
}

#content {
    width: 100%;
    min-height: 100vh;
    transition: all 0.3s;
    position: absolute;
    top: 0;
    right: 0;
}

#carouselExampleControls > div > div.carousel-item.active.text-center > p.second-text {
    color: var(--secondary-text) !important;
}

#carouselExampleControls > div > div.carousel-item.active.text-center > .third-text {
    color: var(--third-text) !important;
    font-weight: 900 !important;
}

#banner {
    background-color: var(--light-primary-color);
    border-bottom: 2px solid var(--dark-primary-color);
}

#banner img {
    width: 100%;
    height: 100%;
    cursor: url('ikonas/cursor.png'), default;
}

#banner svg:hover {
    cursor: url('ikonas/cursor.png'), default;
}

#banner svg:hover .st1 {
    stroke: black !important;
    cursor: url('ikonas/cursor.png'), default;
}

#banner svg:hover .st2 {
    stroke: black !important;
    cursor: url('ikonas/cursor.png'), default;
}

.navbar {
    background-color: var(--dark-primary-color);
}

.navbar h3 {
    color: white;
    font-weight: bold;
}

.carousel-control-prev, .carousel-control-next {
    height: 320px;
}

.carousel-control-prev {
    left: 60px !important;
}

.carousel-control-next {
    right: 60px !important;
}

.carousel-control-prev img {
    width: 100%;
    height: auto;
}

.carousel-control-next img {
    width: 100%;
    height: auto;
}

#sidebarCollapse {
    width: 8%;
    height: auto;
}

/* ---------------------------------------------------
    SIDEBAR STYLE
----------------------------------------------------- */

#sidebar {
    width: 350px;
    position: fixed;
    top: 0;
    left: -350px;
    height: 100vh;
    z-index: 999;
    background: var(--light-primary-color);
    color: #fff;
    transition: all 0.3s;
    overflow-y: scroll;
    box-shadow: 3px 3px 3px rgba(0, 0, 0, 0.2);
}

#sidebar.active {
    left: 0;
}

.overlay {
    display: none;
    position: fixed;
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.7);
    z-index: 998;
    opacity: 0;
    transition: all 0.5s ease-in-out;
}

.overlay.active {
    display: block;
    opacity: 1;
}

/* ---------------------------------------------------
    FOOTER
----------------------------------------------------- */

.footer {
    width: 100%;
    background-color: var(--dark-primary-color);
    color: white;
    text-align: center;
    font-weight: 700;
}

.sticky-footer {
    position: fixed;
    bottom: 0;
    left: 0;
}
